Package com.arms.api.globaltreemap.dao

## Interface GlobalContentsTreeMapJpaRepository

- All Superinterfaces:
    `org.springframework.data.repository.CrudRepository<GlobalContentsTreeMapEntity,​java.lang.Long>`, `org.springframework.data.jpa.repository.JpaRepository<GlobalContentsTreeMapEntity,​java.lang.Long>`, `org.springframework.data.jpa.repository.JpaSpecificationExecutor<GlobalContentsTreeMapEntity>`, `org.springframework.data.repository.PagingAndSortingRepository<GlobalContentsTreeMapEntity,​java.lang.Long>`, `org.springframework.data.repository.query.QueryByExampleExecutor<GlobalContentsTreeMapEntity>`, `org.springframework.data.repository.Repository<GlobalContentsTreeMapEntity,​java.lang.Long>`

      public interface GlobalContentsTreeMapJpaRepository
      extends org.springframework.data.jpa.repository.JpaRepository<GlobalContentsTreeMapEntity,​java.lang.Long>, org.springframework.data.jpa.repository.JpaSpecificationExecutor<GlobalContentsTreeMapEntity>

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `deleteByFileLink​(java.lang.Long value)` |
    `void` | `deleteByPdServiceDetailLink​(java.lang.Long value)` |
    `void` | `deleteByPdServiceLink​(java.lang.Long value)` |

    - ### Methods inherited from interface org.springframework.data.repository.CrudRepository

      `count, delete, deleteAll, deleteAll, deleteAllById, deleteById, existsById, findById, save`

    - ### Methods inherited from interface org.springframework.data.jpa.repository.JpaRepository

      `deleteAllByIdInBatch, deleteAllInBatch, deleteAllInBatch, deleteInBatch, findAll, findAll, findAll, findAll, findAllById, flush, getById, getOne, saveAll, saveAllAndFlush, saveAndFlush`

    - ### Methods inherited from interface org.springframework.data.jpa.repository.JpaSpecificationExecutor

      `count, findAll, findAll, findAll, findOne`

    - ### Methods inherited from interface org.springframework.data.repository.PagingAndSortingRepository

      `findAll`

    - ### Methods inherited from interface org.springframework.data.repository.query.QueryByExampleExecutor

      `count, exists, findAll, findBy, findOne`

- - ### Method Detail

    - #### deleteByFileLink

          @Modifying
          @Transactional
          @Query("DELETE FROM GlobalContentsTreeMapEntity g WHERE g.filerepository_link = :value")
          void deleteByFileLink​(@Param("value")
                                java.lang.Long value)

    - #### deleteByPdServiceLink

          @Modifying
          @Transactional
          @Query("DELETE FROM GlobalContentsTreeMapEntity g WHERE g.pdservice_link = :value")
          void deleteByPdServiceLink​(@Param("value")
                                     java.lang.Long value)

    - #### deleteByPdServiceDetailLink

          @Modifying
          @Transactional
          @Query("DELETE FROM GlobalContentsTreeMapEntity g WHERE g.pdservicedetail_link = :value")
          void deleteByPdServiceDetailLink​(@Param("value")
                                           java.lang.Long value)